<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('raw_material_prices', function (Blueprint $table) {
            $table->id();

            $table->foreignId('raw_material_id')->constrained()->cascadeOnDelete();

            $table->string('variant', 200);
            $table->unsignedInteger('price');
            $table->unsignedInteger('stock')->default(0);

            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent()->useCurrentOnUpdate();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('raw_material_prices');
    }
};
